## UIM enumerations and flags UIM enumerations and flags |

## Functions

const gchar * | qmi_uim_event_registration_flag_get_string ()
const gchar * | qmi_uim_session_type_get_string ()
const gchar * | qmi_uim_file_type_get_string ()
const gchar * | qmi_uim_security_attribute_logic_get_string ()
gchar * | qmi_uim_security_attribute_build_string_from_mask ()
const gchar * | qmi_uim_card_state_get_string ()
const gchar * | qmi_uim_card_error_get_string ()
const gchar * | qmi_uim_pin_state_get_string ()
const gchar * | qmi_uim_card_application_type_get_string ()
const gchar * | qmi_uim_card_application_state_get_string ()
const gchar * | qmi_uim_card_application_personalization_state_get_string ()
const gchar * | qmi_uim_card_application_personalization_feature_get_string ()
const gchar * | qmi_uim_pin_id_get_string ()
const gchar * | qmi_uim_card_protocol_get_string ()
const gchar * | qmi_uim_physical_card_state_get_string ()
const gchar * | qmi_uim_slot_state_get_string ()
const gchar * | qmi_uim_refresh_mode_get_string ()
const gchar * | qmi_uim_refresh_stage_get_string ()
gchar * | qmi_uim_configuration_build_string_from_mask ()
const gchar * | qmi_uim_depersonalization_operation_get_string ()

## Types and Values

enum | QmiUimEventRegistrationFlag
enum | QmiUimSessionType
enum | QmiUimFileType
enum | QmiUimSecurityAttributeLogic
enum | QmiUimSecurityAttribute
enum | QmiUimCardState
enum | QmiUimCardError
enum | QmiUimPinState
enum | QmiUimCardApplicationType
enum | QmiUimCardApplicationState
enum | QmiUimCardApplicationPersonalizationState
enum | QmiUimCardApplicationPersonalizationFeature
enum | QmiUimPinId
enum | QmiUimCardProtocol
enum | QmiUimPhysicalCardState
enum | QmiUimSlotState
enum | QmiUimRefreshMode
enum | QmiUimRefreshStage
enum | QmiUimConfiguration
enum | QmiUimDepersonalizationOperation

## Object Hierarchy

        GEnum
        ├── QmiUimCardApplicationPersonalizationFeature
        ├── QmiUimCardApplicationPersonalizationState
        ├── QmiUimCardApplicationState
        ├── QmiUimCardApplicationType
        ├── QmiUimCardError
        ├── QmiUimCardProtocol
        ├── QmiUimCardState
        ├── QmiUimDepersonalizationOperation
        ├── QmiUimFileType
        ├── QmiUimPhysicalCardState
        ├── QmiUimPinId
        ├── QmiUimPinState
        ├── QmiUimRefreshMode
        ├── QmiUimRefreshStage
        ├── QmiUimSecurityAttributeLogic
        ├── QmiUimSessionType
        ╰── QmiUimSlotState
        GFlags
        ├── QmiUimConfiguration
        ├── QmiUimEventRegistrationFlag
        ╰── QmiUimSecurityAttribute

## Description

This section defines enumerations and flags used in the UIM service interface.

## Functions

### qmi_uim_event_registration_flag_get_string ()

    const gchar *
    qmi_uim_event_registration_flag_get_string
                                   (QmiUimEventRegistrationFlag val);

Gets the nickname string for the QmiUimEventRegistrationFlag specified at `val` .

#### Parameters

val | a QmiUimEventRegistrationFlag. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22.4

### qmi_uim_session_type_get_string ()

    const gchar *
    qmi_uim_session_type_get_string (QmiUimSessionType val);

Gets the nickname string for the QmiUimSessionType specified at `val` .

#### Parameters

val | a QmiUimSessionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_file_type_get_string ()

    const gchar *
    qmi_uim_file_type_get_string (QmiUimFileType val);

Gets the nickname string for the QmiUimFileType specified at `val` .

#### Parameters

val | a QmiUimFileType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_security_attribute_logic_get_string ()

    const gchar *
    qmi_uim_security_attribute_logic_get_string
                                   (QmiUimSecurityAttributeLogic val);

Gets the nickname string for the QmiUimSecurityAttributeLogic specified at `val` .

#### Parameters

val | a QmiUimSecurityAttributeLogic. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_security_attribute_build_string_from_mask ()

    gchar *
    qmi_uim_security_attribute_build_string_from_mask
                                   (QmiUimSecurityAttribute mask);

Builds a string containing a comma-separated list of nicknames for each QmiUimSecurityAttribute in `mask` .

#### Parameters

mask | bitmask of QmiUimSecurityAttribute values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.6

### qmi_uim_card_state_get_string ()

    const gchar *
    qmi_uim_card_state_get_string (QmiUimCardState val);

Gets the nickname string for the QmiUimCardState specified at `val` .

#### Parameters

val | a QmiUimCardState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_error_get_string ()

    const gchar *
    qmi_uim_card_error_get_string (QmiUimCardError val);

Gets the nickname string for the QmiUimCardError specified at `val` .

#### Parameters

val | a QmiUimCardError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_pin_state_get_string ()

    const gchar *
    qmi_uim_pin_state_get_string (QmiUimPinState val);

Gets the nickname string for the QmiUimPinState specified at `val` .

#### Parameters

val | a QmiUimPinState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_type_get_string ()

    const gchar *
    qmi_uim_card_application_type_get_string
                                   (QmiUimCardApplicationType val);

Gets the nickname string for the QmiUimCardApplicationType specified at `val` .

#### Parameters

val | a QmiUimCardApplicationType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_state_get_string ()

    const gchar *
    qmi_uim_card_application_state_get_string
                                   (QmiUimCardApplicationState val);

Gets the nickname string for the QmiUimCardApplicationState specified at `val` .

#### Parameters

val | a QmiUimCardApplicationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_personalization_state_get_string ()

    const gchar *
    qmi_uim_card_application_personalization_state_get_string
                                   (QmiUimCardApplicationPersonalizationState val);

Gets the nickname string for the QmiUimCardApplicationPersonalizationState specified at `val` .

#### Parameters

val | a QmiUimCardApplicationPersonalizationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_personalization_feature_get_string ()

    const gchar *
    qmi_uim_card_application_personalization_feature_get_string
                                   (QmiUimCardApplicationPersonalizationFeature val);

Gets the nickname string for the QmiUimCardApplicationPersonalizationFeature specified at `val` .

#### Parameters

val | a QmiUimCardApplicationPersonalizationFeature. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_pin_id_get_string ()

    const gchar *
    qmi_uim_pin_id_get_string (QmiUimPinId val);

Gets the nickname string for the QmiUimPinId specified at `val` .

#### Parameters

val | a QmiUimPinId. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_uim_card_protocol_get_string ()

    const gchar *
    qmi_uim_card_protocol_get_string (QmiUimCardProtocol val);

Gets the nickname string for the QmiUimCardProtocol specified at `val` .

#### Parameters

val | a QmiUimCardProtocol. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_uim_physical_card_state_get_string ()

    const gchar *
    qmi_uim_physical_card_state_get_string
                                   (QmiUimPhysicalCardState val);

Gets the nickname string for the QmiUimPhysicalCardState specified at `val` .

#### Parameters

val | a QmiUimPhysicalCardState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_uim_slot_state_get_string ()

    const gchar *
    qmi_uim_slot_state_get_string (QmiUimSlotState val);

Gets the nickname string for the QmiUimSlotState specified at `val` .

#### Parameters

val | a QmiUimSlotState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.26

### qmi_uim_refresh_mode_get_string ()

    const gchar *
    qmi_uim_refresh_mode_get_string (QmiUimRefreshMode val);

Gets the nickname string for the QmiUimRefreshMode specified at `val` .

#### Parameters

val | a QmiUimRefreshMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.28

### qmi_uim_refresh_stage_get_string ()

    const gchar *
    qmi_uim_refresh_stage_get_string (QmiUimRefreshStage val);

Gets the nickname string for the QmiUimRefreshStage specified at `val` .

#### Parameters

val | a QmiUimRefreshStage. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.28

### qmi_uim_configuration_build_string_from_mask ()

    gchar *
    qmi_uim_configuration_build_string_from_mask
                                   (QmiUimConfiguration mask);

Builds a string containing a comma-separated list of nicknames for each QmiUimConfiguration in `mask` .

#### Parameters

mask | bitmask of QmiUimConfiguration values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.30

### qmi_uim_depersonalization_operation_get_string ()

    const gchar *
    qmi_uim_depersonalization_operation_get_string
                                   (QmiUimDepersonalizationOperation val);

Gets the nickname string for the QmiUimDepersonalizationOperation specified at `val` .

#### Parameters

val | a QmiUimDepersonalizationOperation. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.30

## Types and Values

### enum QmiUimEventRegistrationFlag

Flags to use to register to UIM indications.

#### Members

QMI_UIM_EVENT_REGISTRATION_FLAG_CARD_STATUS | Card status. |
QMI_UIM_EVENT_REGISTRATION_FLAG_SAP_CONNECTION | SAP connection. |
QMI_UIM_EVENT_REGISTRATION_FLAG_EXTENDED_CARD_STATUS | Extended card status. |
QMI_UIM_EVENT_REGISTRATION_FLAG_PHYSICAL_SLOT_STATUS | Physical slot status. Since 1.26. |

Since: 1.22.4

### enum QmiUimSessionType

Type of UIM session.

#### Members

QMI_UIM_SESSION_TYPE_PRIMARY_GW_PROVISIONING | Primary GSM/WCDMA provisioning. |
QMI_UIM_SESSION_TYPE_PRIMARY_1X_PROVISIONING | Primary CDMA1x provisioning. |
QMI_UIM_SESSION_TYPE_SECONDARY_GW_PROVISIONING | Secondary GSM/WCDMA provisioning. |
QMI_UIM_SESSION_TYPE_SECONDARY_1X_PROVISIONING | Secondary CDMA1x provisioning. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_1 | Nonprovisioning on slot 1. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_2 | Nonprovisioning on slot 2. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_1 | Card on slot 1. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_2 | Card on slot 2. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_1 | Logical channel on slot 1. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_2 | Logical channel on slot 2. |
QMI_UIM_SESSION_TYPE_TERTIARY_GW_PROVISIONING | Tertiary GSM/WCDMA provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_TERTIARY_1X_PROVISIONING | Tertiary CDMA1x provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_QUATERNARY_GW_PROVISIONING | Quaternary GSM/WCDMA provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_QUATERNARY_1X_PROVISIONING | Quaternary CDMA1x provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_QUINARY_GW_PROVISIONING | Quinary GSM/WCDMA provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_QUINARY_1X_PROVISIONING | Quinary CDMA1x provisioning. Since 1.28. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_3 | Nonprovisioning on slot 3. Since 1.28. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_4 | Nonprovisioning on slot 4. Since 1.28. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_5 | Nonprovisioning on slot 5. Since 1.28. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_3 | Card on slot 3. Since 1.28. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_4 | Card on slot 4. Since 1.28. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_5 | Card on slot 5. Since 1.28. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_3 | Logical channel on slot 3. Since 1.28. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_4 | Logical channel on slot 4. Since 1.28. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_5 | Logical channel on slot 5. Since 1.28. |

Since: 1.6

### enum QmiUimFileType

Type of UIM file.

#### Members

QMI_UIM_FILE_TYPE_TRANSPARENT | Transparent. |
QMI_UIM_FILE_TYPE_CYCLIC | Cyclic. |
QMI_UIM_FILE_TYPE_LINEAR_FIXED | Linear fixed. |
QMI_UIM_FILE_TYPE_DEDICATED_FILE | Dedicated file. |
QMI_UIM_FILE_TYPE_MASTER_FILE | Master file. |

Since: 1.6

### enum QmiUimSecurityAttributeLogic

Logic applicable to security attributes.

#### Members

QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_ALWAYS | Always. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_NEVER | Never. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_AND | And. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_OR | Or. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_SINGLE | Single. |

Since: 1.6

### enum QmiUimSecurityAttribute

Security Attributes.

#### Members

QMI_UIM_SECURITY_ATTRIBUTE_PIN1 | PIN1. |
QMI_UIM_SECURITY_ATTRIBUTE_PIN2 | PIN2. |
QMI_UIM_SECURITY_ATTRIBUTE_UPIN | UPIN. |
QMI_UIM_SECURITY_ATTRIBUTE_ADM | ADM. |

Since: 1.6

### enum QmiUimCardState

State of the card.

#### Members

QMI_UIM_CARD_STATE_ABSENT | Absent. |
QMI_UIM_CARD_STATE_PRESENT | Present. |
QMI_UIM_CARD_STATE_ERROR | Error. |

Since: 1.10

### enum QmiUimCardError

Card error.

#### Members

QMI_UIM_CARD_ERROR_UNKNOWN | Unknown error. |
QMI_UIM_CARD_ERROR_POWER_DOWN | Power down. |
QMI_UIM_CARD_ERROR_POLL | Poll error. |
QMI_UIM_CARD_ERROR_NO_ATR_RECEIVED | No ATR received. |
QMI_UIM_CARD_ERROR_VOLTAGE_MISMATCH | Voltage mismatch. |
QMI_UIM_CARD_ERROR_PARITY | Parity error. |
QMI_UIM_CARD_ERROR_POSSIBLY_REMOVED | Unknown error, possibly removed. |
QMI_UIM_CARD_ERROR_TECHNICAL | Technical problem. |

Since: 1.10

### enum QmiUimPinState

The PIN state.

#### Members

QMI_UIM_PIN_STATE_NOT_INITIALIZED | Not initialized. |
QMI_UIM_PIN_STATE_ENABLED_NOT_VERIFIED | Enabled, not verified. |
QMI_UIM_PIN_STATE_ENABLED_VERIFIED | Enabled, verified. |
QMI_UIM_PIN_STATE_DISABLED | Disabled. |
QMI_UIM_PIN_STATE_BLOCKED | Blocked. |
QMI_UIM_PIN_STATE_PERMANENTLY_BLOCKED | Permanently Blocked. |

Since: 1.10

### enum QmiUimCardApplicationType

Card application type.

#### Members

QMI_UIM_CARD_APPLICATION_TYPE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_TYPE_SIM | SIM. |
QMI_UIM_CARD_APPLICATION_TYPE_USIM | USIM. |
QMI_UIM_CARD_APPLICATION_TYPE_RUIM | RUIM. |
QMI_UIM_CARD_APPLICATION_TYPE_CSIM | CSIM. |
QMI_UIM_CARD_APPLICATION_TYPE_ISIM | ISIM. |

Since: 1.10

### enum QmiUimCardApplicationState

Card application state.

#### Members

QMI_UIM_CARD_APPLICATION_STATE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_STATE_DETECTED | Detected. |
QMI_UIM_CARD_APPLICATION_STATE_PIN1_OR_UPIN_PIN_REQUIRED | PIN1 or UPIN PIN required. |
QMI_UIM_CARD_APPLICATION_STATE_PUK1_OR_UPIN_PUK_REQUIRED | PUK1 or UPIN PUK required. |
QMI_UIM_CARD_APPLICATION_STATE_CHECK_PERSONALIZATION_STATE | Personalization state must be checked. |
QMI_UIM_CARD_APPLICATION_STATE_PIN1_BLOCKED | PIN1 blocked. |
QMI_UIM_CARD_APPLICATION_STATE_ILLEGAL | Illegal. |
QMI_UIM_CARD_APPLICATION_STATE_READY | Ready |

Since: 1.10

### enum QmiUimCardApplicationPersonalizationState

Card application personalization state.

#### Members

QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_IN_PROGRESS | Operation in progress. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_READY | Ready. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_CODE_REQUIRED | Code required. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PUK_CODE_REQUIRED | PUK code required. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PERMANENTLY_BLOCKED | Permanently blocked- |

Since: 1.10

### enum QmiUimCardApplicationPersonalizationFeature

Card application personalization feature, when a code is required.

#### Members

QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK | GW network. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK_SUBSET | GW network subset. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_SERVICE_PROVIDER | GW service provider. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_CORPORATE | GW corporate. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_UIM | UIM. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_1 | 1X network type 1. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_2 | 1X network type 2. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_HRPD | 1X HRPD. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_SERVICE_PROVIDER | 1X service provider. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_CORPORATE | 1X corporate. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_RUIM | 1X R-UIM. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_UNKNOWN | Unknown. |

Since: 1.10

### enum QmiUimPinId

PIN ID.

#### Members

QMI_UIM_PIN_ID_UNKNOWN | Unknown. |
QMI_UIM_PIN_ID_PIN1 | PIN1. |
QMI_UIM_PIN_ID_PIN2 | PIN2. |
QMI_UIM_PIN_ID_UPIN | UPIN. |
QMI_UIM_PIN_ID_HIDDEN_KEY | Hidden key. |

Since: 1.14

### enum QmiUimCardProtocol

Protocol for the card.

#### Members

QMI_UIM_CARD_PROTOCOL_UNKNOWN | Unknown. |
QMI_UIM_CARD_PROTOCOL_ICC | ICC protocol. |
QMI_UIM_CARD_PROTOCOL_UICC | UICC protocol. |

Since: 1.26

### enum QmiUimPhysicalCardState

State of the physical card.

#### Members

QMI_UIM_PHYSICAL_CARD_STATE_UNKNOWN | Unknown. |
QMI_UIM_PHYSICAL_CARD_STATE_ABSENT | Absent. |
QMI_UIM_PHYSICAL_CARD_STATE_PRESENT | Present. |

Since: 1.26

### enum QmiUimSlotState

State of the slot.

#### Members

QMI_UIM_SLOT_STATE_INACTIVE | Inactive. |
QMI_UIM_SLOT_STATE_ACTIVE | Active. |

Since: 1.26

### enum QmiUimRefreshMode

Refresh mode

#### Members

QMI_UIM_REFRESH_MODE_RESET | Reset. |
QMI_UIM_REFRESH_MODE_INIT | Init. |
QMI_UIM_REFRESH_MODE_INIT_FCN | Init & FCN. |
QMI_UIM_REFRESH_MODE_FCN | FCN. |
QMI_UIM_REFRESH_MODE_INIT_FULL_FCN | Init & full FCN. |
QMI_UIM_REFRESH_MODE_APP_RESET | Application reset. |
QMI_UIM_REFRESH_MODE_3G_RESET | 3G session reset. |

Since: 1.28

### enum QmiUimRefreshStage

Current stage of the refresh procedure.

#### Members

QMI_UIM_REFRESH_STAGE_WAIT_FOR_OK | Waiting for REFRESH OK message. |
QMI_UIM_REFRESH_STAGE_START | Refresh started. |
QMI_UIM_REFRESH_STAGE_END_WITH_SUCCESS | Refresh completed successfully. |
QMI_UIM_REFRESH_STAGE_END_WITH_FAILURE | Refresh has failed. |

Since: 1.28

### enum QmiUimConfiguration

Requested configurations. If none explicitly requested, all configuration items are returned.

#### Members

QMI_UIM_CONFIGURATION_AUTOMATIC_SELECTION | Automatic selection. |
QMI_UIM_CONFIGURATION_PERSONALIZATION_STATUS | Personalization status. |
QMI_UIM_CONFIGURATION_HALT_SUBSCRIPTION | Halt publication of subscription. |

Since: 1.30

### enum QmiUimDepersonalizationOperation

Depersonalization operation to perform.

#### Members

QMI_UIM_DEPERSONALIZATION_OPERATION_DEACTIVATE | Deactivate personalization |
QMI_UIM_DEPERSONALIZATION_OPERATION_UNBLOCK | Unblock personalization |

Since: 1.30